#!/usr/bin/env python3
#prog_03_08.py

import tkinter 
import math

def drive_output(scale_value):
    r = float(scale_value)
    #r = scale_in.get() # Can also be used 
    c = 2 * math.pi * r
    scale_out.set(c)

root = tkinter.Tk() 
root.title('Scale Input')

scale_in = tkinter.Scale(orient = 'horizontal', length = 500, resolution = 0.1,
            command = drive_output, label = 'Radius', tickinterval = 10)

scale_out = tkinter.Scale(orient = 'horizontal', length = 500, resolution = 0.1,
             label = 'Circumference', tickinterval = 100, to = 700)
                  
scale_out.grid(row = 0,column = 0, pady = 10, padx = 10)
scale_in.grid(row = 1,column = 0, pady = 10, padx = 10)

root.mainloop()
