#!/usr/bin/env python3
#prog_03_11

import tkinter 			

def convert():
    byte_value = (chkvar_1.get() + chkvar_2.get()*2 + chkvar_4.get()*4 +
                  chkvar_8.get()*8 + chkvar_16.get()*16 + chkvar_32.get()*32
                   + chkvar_64.get()*64 + chkvar_128.get()*128)
    
    lab_output.configure(text = str(byte_value))

root = tkinter.Tk()
root.title('Check Buttons') 

lab_output = tkinter.Label(root, relief = 'raised', bd = 4, width = 4)
but_byte = tkinter.Button(root, text = 'Byte Value', command = convert)

chkvar_1 = tkinter.IntVar()		# Control variables
chkvar_2 = tkinter.IntVar()
chkvar_4 = tkinter.IntVar()
chkvar_8 = tkinter.IntVar()
chkvar_16 = tkinter.IntVar()
chkvar_32 = tkinter.IntVar()
chkvar_64 = tkinter.IntVar()
chkvar_128 = tkinter.IntVar()

frm = tkinter.Frame(root, bd = 1, relief = 'sunken')

chk_but_1 = tkinter.Checkbutton(frm, text = '1', variable = chkvar_1)
chk_but_2 = tkinter.Checkbutton(frm, text = '2', variable = chkvar_2)
chk_but_4 = tkinter.Checkbutton(frm, text = '4', variable = chkvar_4)
chk_but_8 = tkinter.Checkbutton(frm, text = '8', variable = chkvar_8)
chk_but_16 = tkinter.Checkbutton(frm, text = '16', variable = chkvar_16)
chk_but_32 = tkinter.Checkbutton(frm, text = '32', variable = chkvar_32)
chk_but_64 = tkinter.Checkbutton(frm, text = '64', variable = chkvar_64)
chk_but_128 = tkinter.Checkbutton(frm, text = '128', variable = chkvar_128)

chk_but_1.grid(row = 0, column = 0) 
chk_but_2.grid(row = 0, column = 1) 
chk_but_4.grid(row = 0, column = 2) 
chk_but_8.grid(row = 0, column = 3) 
chk_but_16.grid(row = 0, column = 4) 
chk_but_32.grid(row = 0, column = 5) 
chk_but_64.grid(row = 0, column = 6) 
chk_but_128.grid(row = 0, column = 7) 

frm.grid(row = 0, column = 0, pady = 5, padx = 5)
lab_output.grid(row = 1, column = 0, pady = 5, padx = 5)
but_byte.grid(row = 2, column = 0, pady = 5, padx = 5)

root.mainloop()
