#!/usr/bin/env python3
#prog_03_12

import tkinter			

def calc():
    index = radvar.get()
    arg = float(ent_input.get())
    result = pow(arg,index)
    labvar.set(result)

root=tkinter.Tk()
root.title('Radiobuttons') 

radvar = tkinter.DoubleVar()		# Control variables
labvar = tkinter.DoubleVar()

ent_input = tkinter.Entry(root, width = 20)
ent_input.insert(0,'0.0')

lab_output = tkinter.Label(root,  bd = 1, width = 20, relief = 'ridge', textvariable = labvar)
but_calc = tkinter.Button(root, text = 'Calculate', command = calc)

frm = tkinter.Frame(root, bd = 1, relief = 'groove')

rad_but_sroot = tkinter.Radiobutton(frm,text = 'Square Root',
                                    variable = radvar, value = 1/2) # Each radiobutton has
                                                                    # a different value for radvar
rad_but_square = tkinter.Radiobutton(frm,text = 'Square', variable = radvar, value = 2)       
rad_but_cube = tkinter.Radiobutton(frm,text = 'Cube Root', variable = radvar, value = 1/3)
rad_but_croot = tkinter.Radiobutton(frm,text = 'Cube', variable = radvar, value = 3)

rad_but_square.select()                                              # Pre-selects a radiobutton

rad_but_sroot.grid(column = 0, row = 0, pady = 5, sticky = 'W')
rad_but_square.grid(column = 0, row = 1, pady = 5, sticky = 'W')
rad_but_cube.grid(column = 0, row = 2, pady = 5, sticky = 'W')
rad_but_croot.grid(column = 0, row = 3, pady = 5, sticky = 'W')

frm.grid(row = 0, column = 0, rowspan = 3, pady = 5, padx = 5)
lab_output.grid(row = 0, column = 1, pady = 5, padx = 5, sticky = 'W')
but_calc.grid(row = 1, column = 1, pady = 5, padx = 5, sticky = 'W')
ent_input.grid(row= 2, column = 1, sticky = 'W')

root.mainloop()
