#!/usr/bin/env python3
# prog_04_04.py

import comparators               		     

# Creates an instance of a SchmittTrigger with a switching level of 10V and hysteresis of 4V.
schmitt1 = comparators.SchmittTrigger(10, 4)

# Creates an instance of a DelayOnTimer with a switching level of 3V and a delay of 10s.
timer1 = comparators.DelayOnTimer(10, 5)   		 

print('Schmitt Trigger')

schmitt1.trigger(9)
print('Voltage in = 9 Output = {}'.format(schmitt1.output))

schmitt1.trigger(11)
print('Voltage in = 11 Output = {}'.format(schmitt1.output))

schmitt1.trigger(9)
print('Voltage in = 9 Output = {}'.format(schmitt1.output))

schmitt1.trigger(5.5)
print('Voltage in = 5.5 Output = {}\n'.format(schmitt1.output))

print('Delay On timer')
print('Output = {}'.format(timer1.output))

input('\nPress "Return" to start timer.')
 
timer1.trigger(11)
print('Output = {}'.format(timer1.output))

input('\nPress "Return" to reset timer.')

timer1.trigger(9)
print('Output = {}'.format(timer1.output))

input('\nPress "Return" to end program.')
