#!/usr/bin/env python3
#prog_09_02.py
import cherrypy

class SvgDemo:
    @cherrypy.expose
    def index(self):
        return '''
<!DOCTYPE html>
<html>
<body>
<h3>Lines Using Scaleable Vector Graphics</h3>
<svg height="500" width="720">
<line x1="360" y1="0" x2="360" y2="500" style="stroke:rgb(0,255,0);stroke-width:2" /> <!-- vertical line -->
<line x1="0" y1="250" x2="720" y2="250" style="stroke:rgb(0,255,0);stroke-width:2" /> <!-- horizontal line -->
<line x1="0" y1="0" x2="720" y2="500" style="stroke:rgb(255,0,0);stroke-width:2" />   <!-- diagonal -->    
</svg>
</body></html> '''

cherrypy.quickstart(SvgDemo())
