#!/usr/bin/env python3
#prog_09_05.py
import pickle
import sys
import time
import uno_slave

uno1 = uno_slave.Uno(address = 1, project = 4, config_digital = [])
with open('current_monitor_cal.dat', 'rb') as f:
    calibration_dict = pickle.load(f)

data_list = [500]*8640
delay = 10    
while True: 
    start = time.time()
    uno1.read_analog(1)    
    raw = uno1.read_analog_dict[0]
    i = (raw-calibration_dict['raw_offset']) * calibration_dict['raw_to_current']
    y = 500 - int(i*500/calibration_dict['fullscale_current'])
    data_list.append((y))
    data_list.pop(0)
    with open('/dev/shm/ammeter_data.dat', 'wb') as f:
        pickle.dump((calibration_dict['fullscale_current'], i), f)
    
    with open('/dev/shm/trend_data.dat', 'wb') as f:
        pickle.dump(data_list, f)

    time.sleep(delay)
    if time.time() - start > 10:
        delay = delay - 0.001
    else:
        delay = delay + 0.001

   
               
     



