#!/usr/bin/env python3
#prog_03_06.py

import tkinter

root = tkinter.Tk() 
root.title('Nested Layout')

btn_1 = tkinter.Button(root, text = '1')
btn_2 = tkinter.Button(root, text = '2')
btn_3 = tkinter.Button(root, text = '3')

frm_1 = tkinter.Frame(root,borderwidth = 1, relief = 'solid')
chk_btn_A = tkinter.Checkbutton(frm_1, text = 'A')              # These are in the frame
chk_btn_B = tkinter.Checkbutton(frm_1, text = 'B')
chk_btn_C = tkinter.Checkbutton(frm_1, text = 'C')

chk_btn_A.grid(row = 0, column = 0)                             # Layout within the frame
chk_btn_B.grid(row = 0, column = 1)
chk_btn_C.grid(row = 1, column = 1)

btn_1.grid(row = 0, column = 0)                                 # Layout of root container
btn_2.grid(row = 0, column = 1)
btn_3.grid(row = 1, column = 0)
frm_1.grid(row = 1, column = 1)

root.rowconfigure(0, weight = 1, minsize = 100)
root.rowconfigure(1, weight = 1, minsize = 100)
root.columnconfigure(0, weight = 1, minsize = 150)
root.columnconfigure(1, weight = 1, minsize = 150)

root.mainloop()
