#!/usr/bin/env python3
#prog_03_07.py

import tkinter
import math

def drive_output(scale_value):
    r = float(scale_value)
    c = 2 * math.pi * r
    lbl_out.configure(text = 'Radius {0:05.1f} \t-\t Circumference {1:09.5f}'.format(r, c))

root = tkinter.Tk() 
root.title('Scale Input')
scale_in = tkinter.Scale(orient = 'horizontal', length = 500, resolution = 0.1, command = drive_output)
lbl_out = tkinter.Label()
lbl_out.grid(row = 0, column = 0, pady = 10)
scale_in.grid(row = 1,column = 0, pady = 10, padx = 10)

root.mainloop()
