#!/usr/bin/env python3
#prog_05_01.py

import tkinter
import uno_slave

class GuiDigOuts():
    def __init__(self, master):
        self.uno1 = uno_slave.Uno(address = 1,project = 1, config_digital = [2,3,4,5,6,7,8,9])
        master.title('Write Digital Outputs')
        self.chkvar_2= tkinter.IntVar()		# Control variables
        self.chkvar_3= tkinter.IntVar()
        self.chkvar_4= tkinter.IntVar()
        self.chkvar_5= tkinter.IntVar()
        self.chkvar_6= tkinter.IntVar()
        self.chkvar_7= tkinter.IntVar()
        self.chkvar_8= tkinter.IntVar()
        self.chkvar_9= tkinter.IntVar()
        self.chkbtn_2 = tkinter.Checkbutton(master,text = 'Pin 2', variable = self.chkvar_2)   
        self.chkbtn_3 = tkinter.Checkbutton(master,text = 'Pin 3', variable = self.chkvar_3)   
        self.chkbtn_4 = tkinter.Checkbutton(master,text = 'Pin 4', variable = self.chkvar_4)   
        self.chkbtn_5 = tkinter.Checkbutton(master,text = 'Pin 5', variable = self.chkvar_5)   
        self.chkbtn_6 = tkinter.Checkbutton(master,text = 'Pin 6', variable = self.chkvar_6)   
        self.chkbtn_7 = tkinter.Checkbutton(master,text = 'Pin 7', variable = self.chkvar_7)   
        self.chkbtn_8 = tkinter.Checkbutton(master,text = 'Pin 8', variable = self.chkvar_8)   
        self.chkbtn_9 = tkinter.Checkbutton(master,text = 'Pin 9', variable = self.chkvar_9)   
        self.btn_write = tkinter.Button(master,text = 'Write', command = self.dig_write)
        
        
        self.chkbtn_2.grid(row = 0, column = 0, pady = 5, padx = 5)
        self.chkbtn_3.grid(row = 0, column = 1, pady = 5, padx = 5)
        self.chkbtn_4.grid(row = 0, column = 2, pady = 5, padx = 5)
        self.chkbtn_5.grid(row = 0, column = 3, pady = 5, padx = 5)
        self.chkbtn_6.grid(row = 0, column = 4, pady = 5, padx = 5)
        self.chkbtn_7.grid(row = 0, column = 5, pady = 5, padx = 5)
        self.chkbtn_8.grid(row = 0, column = 6, pady = 5, padx = 5)
        self.chkbtn_9.grid(row = 0, column = 7, pady = 5, padx = 5)
        self.btn_write.grid(row = 1, column = 0, columnspan = 8)
        
        
    def dig_write(self):
        self.uno1.write_digital_dict[2] = self.chkvar_2.get()
        self.uno1.write_digital_dict[3] = self.chkvar_3.get()
        self.uno1.write_digital_dict[4] = self.chkvar_4.get()
        self.uno1.write_digital_dict[5] = self.chkvar_5.get()
        self.uno1.write_digital_dict[6] = self.chkvar_6.get()
        self.uno1.write_digital_dict[7] = self.chkvar_7.get()
        self.uno1.write_digital_dict[8] = self.chkvar_8.get()
        self.uno1.write_digital_dict[9] = self.chkvar_9.get()
        self.uno1.write_digital()     
                
tk = tkinter.Tk()
front_end = GuiDigOuts(tk)
tk.mainloop()
