#!/usr/bin/env python3
#prog_07_02.py

X = 8						                  # 8 pixels wide.
Y = 6						                  # 6 pixels high.
template_file = open("fig1_image.bmp", 'rb')  # Opens template file to read.
byte_s = template_file.read()			
template_file.close()				           # Close file.
bit_map = byte_s[54:]                           # Slice off the image content.
bit_map_dict = {}			                   # Create an empty dictionary.

for y in range (0, Y):				           # Vertical offsets loop.
    for x in range (0, X):			           # Horizontal offsets loop.	
        key=(x, y)					           # Generates key for each pixel.
        pixel_colour_list=[]		           # Empty list for each pixel.
        for c in range (0, 3):				   # Steps through each byte for each pixel.
            t = bit_map[3 * (y * X + x ) + c]  # Selects the byte for each colour in a pixel.
            pixel_colour_list.append(t)		           # Appends the byte value to the pixel's list. 
            bit_map_dict[key] = pixel_colour_list	   # Creates an entry in the dictionary.
            
print(bit_map_dict)					                   # Prints out the dictionary.