#!/usr/bin/env python3
#prog_07_05.py

import struct

X = 800
Y = 600
template_file = open("template_07_02.bmp", 'rb')
bit_map = template_file.read()
template_file.close()
header = bit_map[0:54]
signature = header[0:2]
size  = struct.unpack('<I', header[2:6])
reserved1 = struct.unpack('<H', header[6:8])
reserved2 = struct.unpack('<H', header[8:10])
offset = struct.unpack('<I', header[10:14])
info_size = struct.unpack('<I', header[14:18])
width = struct.unpack('<I', header[18:22])
height = struct.unpack('<I', header[22:26])
planes = struct.unpack('<H', header[26:28])
depth = struct.unpack('<H', header[28:30])
compression = struct.unpack('<I', header[30:34])
image_length = struct.unpack('<I', header[34:38])
x_metre = struct.unpack('<I', header[38:42])
y_metre = struct.unpack('<I', header[42:46])
col_used = struct.unpack('<I', header[46:50])
col_sig = struct.unpack('<I', header[50:54])
print('signature = ' + signature.decode('utf-8'))
print('size  =' + str(size[0]))
print('reserved1 = ' + str(reserved1[0]))
print('reserved2 = ' + str(reserved2[0]))
print('offset = '  + str(offset[0]))
print('info_size = ' + str(info_size[0]))
print('width = ' + str(width[0]))
print('height = ' + str(height[0]))
print('planes = ' + str(planes[0]))
print('depth = ' + str(depth[0]))
print('compression = ' + str(compression[0]))
print('image_length = ' + str(image_length[0]))
print('x_metre = ' + str(x_metre[0]))
print('y_metre = ' + str(y_metre[0]))
print('col_used = ' + str(col_used[0]))
print('col_sig = ' + str(col_sig[0]))
