#!/usr/bin/env python3
#prog_10_12.py

import curses

def main(stdscr):
    stdscr.attron(curses.A_BOLD)
    curses.mousemask(curses.BUTTON1_PRESSED | 
                     curses.BUTTON1_RELEASED | 
                     curses.BUTTON3_PRESSED | 
                     curses.BUTTON3_RELEASED)    
    while True:
        event = stdscr.getch()
        if event == curses.KEY_MOUSE:
            mouse_event = curses.getmouse()
            stdscr.addstr('{0:s} '.format(str(mouse_event)))
        else:
            break
        
curses.wrapper(main)
