#!/usr/bin/env python3
#prog_10_15.py

import curses

class Label:  
    def __init__(self, std_scr, width = 8, start_y = 0, start_x = 0, colorpair = 0):
        self.stdscr = std_scr
        self.start_y = start_y 
        self.start_x = start_x 
        self.width = width
        self.colorpair = colorpair
        self.win = curses.newwin(3, width, start_y , start_x)
        self.win.bkgd(' ', curses.color_pair(colorpair) | curses.A_BOLD)        
        self.write('xxxxxxxx')       

    def write(self, caption):
        self.win.addstr(1, 1, caption[:self.width-2])
        self.win.clrtoeol()
        self.win.box()

if __name__ == '__main__':   
    def main(stdscr):
        curses.curs_set(0)
        curses.init_pair(1, curses.COLOR_WHITE, curses.COLOR_CYAN)
        label1 = Label(stdscr, start_y = 5, start_x = 10)
        label1.write('Label 1')
        stdscr.refresh()
        label1.win.refresh()
        label2 = Label(stdscr, start_y = 1, start_x = 10, colorpair = 1, width = 6)
        for n in range (0,1001):
            label2.write('{0:d}'.format(n))   
            label2.win.refresh()
            curses.napms(10)

        stdscr.getch()

    curses.wrapper(main)
